## net.i2p.client.streaming
Class StreamSinkClient

    java.lang.Object
      net.i2p.client.streaming.StreamSinkClient

    public class StreamSinkClient

extends java.lang.Object

Simple streaming lib test app that connects to a given destination and sends it a particular amount of random data, then disconnects. See the `main(java.lang.String[])`

Constructor Summary
`StreamSinkClient(int sendSize, int writeDelayMs, java.lang.String serverDestFile)` Build the client but don't fire it up.
`StreamSinkClient(java.lang.String i2cpHost, int i2cpPort, int sendSize, int writeDelayMs, java.lang.String serverDestFile)`

Method Summary
`static void` `main(java.lang.String[] args)` Fire up the client.
`void` `runClient()` Actually connect and run the client - this call blocks until completion.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamSinkClient

    public StreamSinkClient(int sendSize,
                            int writeDelayMs,
                            java.lang.String serverDestFile)

  Build the client but don't fire it up.

  Parameters:
    `sendSize` - how many KB to send
    `writeDelayMs` - how long to wait between each .write (0 for no delay)
    `serverDestFile` - file containing the StreamSinkServer's binary Destination

### StreamSinkClient

    public StreamSinkClient(java.lang.String i2cpHost,
                            int i2cpPort,
                            int sendSize,
                            int writeDelayMs,
                            java.lang.String serverDestFile)

Method Detail

### runClient

    public void runClient()

  Actually connect and run the client - this call blocks until completion.

### main

    public static void main(java.lang.String[] args)

  Fire up the client. `Usage: StreamSinkClient [i2cpHost i2cpPort] sendSizeKB writeDelayMs serverDestFile [concurrentSends]`
  - sendSizeKB: how many KB to send, or -1 for unlimited
  - writeDelayMs: how long to wait between each .write (0 for no delay)
  - serverDestFile: file containing the StreamSinkServer's binary Destination
  - concurrentSends: how many concurrent threads should send to the server at once